/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

body {
    font-family: var(--f-secundaria);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.4em;

    p:last-child {
        margin-bottom: 0;
    }

    a {
        transition: var(--transicion);
    }
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--f-primaria);
    line-height: 1.25em !important;
}

.tit {
    * {
        font-family: var(--f-primaria);
    }

    h1 {
        font-weight: 500;
        font-size: clamp(34px, 5vw, 60px);
        letter-spacing: -1px;
    }

    h2 {
        font-weight: 500;
        font-size: clamp(26px, 3vw, 45px);
    }

    h3 {
        font-weight: 500;
        font-size: clamp(24px, 2vw, 28px);
    }

    h4 {
        font-weight: 500;
        font-size: clamp(18px, 1.5vw, 20px);
    }
}

.tit.big {
    h2 {
        font-weight: 500;
        font-size: clamp(26px, 3vw, 45px);
    }
}

.subtit {
    h1 {
        font-weight: 500;
        font-size: clamp(28px, 4vw, 42px);
    }

    h2 {
        font-weight: 500;
        font-size: clamp(24px, 2.5vw, 28px);
    }

    h3 {
        font-weight: 400;
        font-size: clamp(20px, 1.5vw, 23px);
    }

    h4 {
        font-weight: 500;
        font-size: clamp(16px, 1.5vw, 18px);
    }
}

.subtit-p {
    p {
        font-weight: 300;
        font-size: clamp(18px, 1vw, 20px);
        line-height: 1.2em;
    }
}

.f300 {
    font-weight: 300;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 300;
    }
}

.f400 {
    font-weight: 400;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 400;
    }
}

.f500 {
    font-weight: 500;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 500;
    }
}

.f600 {
    font-weight: 600;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 600;
    }
}

.f700 {
    font-weight: 700;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 700;
    }
}

.c-azul {
    color: var(--c-secundario);
}

.c-verde {
    color: var(--c-primario);
}

.c-blanco {
    color: var(--c-blanco);
}

.lista {
    ul {
        list-style: none;
        margin: 0 0 0 25px;

        li {
            position: relative;
            margin-bottom: 10px;

            &::before {
                content: "";
                position: absolute;
                background-color: var(--c-gris-claro);
                width: 6px;
                height: 6px;
                top: 8px;
                left: -20px;
                border-radius: 20px;
            }
        }
    }
}

/* CAJAS SERVICIOS */
.caja-servicio {
    .cta-hover {
        cursor: pointer;
        max-height: 68px;
        transition: max-height 1.5s ease-in-out;
        
        .show-hover {
            height: 0;
            overflow: hidden;
            opacity: 0 !important;
            transition: all 1.5s ease;
        }

        .hide-hover {
            transition: all 1.5s ease;
        }

        &:hover {
            max-height: 600px;

            .show-hover {
                height: fit-content;
                opacity: 1 !important;
            }

            .hide-hover {
                opacity: 0;
                height: 0;
            }
        }
    }

    @media screen and (max-width: 1024px) {
        .cta-hover {
            .show-hover {
                height: fit-content;
                opacity: 1 !important;
            }
        }
    }
}

/* PREGUNTAS FRECUENTES */
.preg-frec {
    details {
        background-color: var(--c-azul-oscuro);
        box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.15);
        border-radius: 10px;

        & > div {
            p {
                font-size: 17px;
                line-height: 1.4em !important;
            }
        }
    }
}

/* ----- RESPONSIVE ------ */

@media screen and (max-width:1024px) {
    
}

@media screen and (max-width:767px) {
    .salto-pc {
        display: none;
    }
}